Bug 30132 - overdue_notices.pl POD is incorrect regarding passing options
Summary: overdue_notices.pl POD is incorrect regarding passing options
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: davewood
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-18 14:10 UTC by davewood
Modified: 2022-03-21 00:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.04,21.05.13


Attachments
Bug 30132: Fix POD, show correct usage of Getopt::Long (8.42 KB, patch)
2022-02-18 14:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30132: Fix POD, show correct usage of Getopt::Long (8.61 KB, patch)
2022-02-19 20:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30132: Fix POD, show correct usage of Getopt::Long (8.68 KB, patch)
2022-02-21 14:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description davewood 2022-02-18 14:10:13 UTC
the USAGE of overdue_notices.pl shows options such as -date OR -csv that should be written with double dashes like --date or --csv

Pull Request: https://github.com/Koha-Community/Koha/pull/44
Comment 1 Jonathan Druart 2022-02-18 14:17:42 UTC
Created attachment 130850 [details] [review]
Bug 30132: Fix POD, show correct usage of Getopt::Long
Comment 2 Jonathan Druart 2022-02-18 14:19:07 UTC
Thanks for your patch. Please have a look at 
https://wiki.koha-community.org/wiki/Submitting_A_Patch
https://wiki.koha-community.org/wiki/Commit_messages

For your next submissions ;)
Comment 3 davewood 2022-02-18 14:22:12 UTC
Sponsored by StLib
Comment 4 Katrin Fischer 2022-02-19 19:57:39 UTC
(In reply to davewood from comment #3)
> Sponsored by StLib

If you want you can put a "Sponsored-by:" line at the end of the commit message, this will generate an entry in the release notes.
Comment 5 Katrin Fischer 2022-02-19 20:01:39 UTC
Created attachment 130911 [details] [review]
Bug 30132: Fix POD, show correct usage of Getopt::Long

the USAGE of overdue_notices.pl shows options such as -date OR
-csv that should be written with double dashes like --date or --csv

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2022-02-21 14:41:57 UTC
Created attachment 130962 [details] [review]
Bug 30132: Fix POD, show correct usage of Getopt::Long

the USAGE of overdue_notices.pl shows options such as -date OR
-csv that should be written with double dashes like --date or --csv

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Fridolin Somers 2022-03-02 08:49:14 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 8 Kyle M Hall 2022-03-04 13:08:49 UTC
Pushed to 21.11.x for 21.11.04
Comment 9 Andrew Fuerste-Henry 2022-03-20 14:57:23 UTC
Pushed to 21.05.x for 21.05.13
Comment 10 Victor Grousset/tuxayo 2022-03-21 00:15:08 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.